/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 17/10/2018 : SCA : V2.2.5
 *  Redmine #6119 
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.timetable;

import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class RadialProperty {

	private StringProperty target = new SimpleStringProperty();
	private StringProperty endTime = new SimpleStringProperty();
	private StringProperty deltaSpeedMin = new SimpleStringProperty();
	private StringProperty deltaSpeedMax = new SimpleStringProperty();
	private StringProperty distanceSun = new SimpleStringProperty();
	private StringProperty deltaLong = new SimpleStringProperty();
	private StringProperty longStart = new SimpleStringProperty();
	private StringProperty extentCme = new SimpleStringProperty();
	private SimpleBooleanProperty isInsideCME = new SimpleBooleanProperty();

	public RadialProperty(String name) {
		target.set(name);
	}

	public String getTarget() {
		return target.get();
	}

	public void setTarget(String target) {
		this.target.set(target);
	}

	public String getDeltaSpeedMin() {
		return deltaSpeedMin.get();
	}

	public void setDeltaSpeedMin(String deltaSpeedMin) {
		this.deltaSpeedMin.set(deltaSpeedMin);
	}

	public String getDeltaSpeedMax() {
		return deltaSpeedMax.get();
	}

	public void setDeltaSpeedMax(String deltaSpeedMax) {
		this.deltaSpeedMax.set(deltaSpeedMax);
	}

	public String getDistanceSun() {
		return distanceSun.get();
	}

	public void setDistanceSun(String distanceSun) {
		this.distanceSun.set(distanceSun);
	}

	public String getDeltaLong() {
		return deltaLong.get();
	}

	public void setDeltaLong(String deltaLong) {
		this.deltaLong.set(deltaLong);
	}

	public String getLongStart() {
		return longStart.get();
	}

	public void setLongStart(String longStart) {
		this.longStart.set(longStart);
	}

	public String getExtentCme() {
		return extentCme.get();
	}

	public void setExtentCme(String extentCme) {
		this.extentCme.set(extentCme);
	}

	public boolean getIsInsideCME() {
		return isInsideCME.get();
	}

	public void setIsInsideCME(boolean isInsideCME) {
		this.isInsideCME.set(isInsideCME);
	}

	public String getEndTime() {
		return endTime.get();
	}

	public void setEndTime(String endTime) {
		this.endTime.set(endTime);
	}

}
